Automatic link generation: Autolink_Test Class Reference

Automatic link generation

Public Types | Public Member Functions | Protected Attributes | List of all members
Autolink_Test Class Reference

## Public Types
enum | EType { Val1 , Val2 }
| An enum type. More...

## Public Member Functions
| Autolink_Test ()
| constructor
| ~Autolink_Test ()
| destructor
void | member (int)
| A member function.
void | member (int, int)
| An overloaded member function.

## Protected Attributes
int | var
| A member variable.

## Detailed Description

Since this documentation block belongs to the class Autolink_Test no link to Autolink_Test is generated.

Two ways to link to a constructor are: Autolink_Test and Autolink_Test().

Links to the destructor are: ~Autolink_Test and ~Autolink_Test().

A link to a member in this class: member().

More specific links to the each of the overloaded members: member(int) and member(int,int).

A link to the variable var.

A link to the global typedef B.

A link to the global enumeration type GlobEnum.

A link to the define ABS(x).

A link to a variable using another text as a link.

A link to the enumeration type EType.

A link to some enumeration values: Val1 and GVal1.

And last but not least a link to a file: autolink.cpp.

See also
  Inside a see also section any word is checked, so EType, Val1, GVal1, ~Autolink_Test and member will be replaced by links in HTML.

## Member Enumeration Documentation

## ◆ EType

enum Autolink_Test::EType

An enum type.

More details

Enumerator
Val1 | enum value 1
Val2 | enum value 2

## Constructor & Destructor Documentation

## ◆ Autolink_Test()

Autolink_Test::Autolink_Test | ( |  | ) |

constructor

details.

## ◆ ~Autolink_Test()

Autolink_Test::~Autolink_Test | ( |  | ) |

destructor

details.

## Member Function Documentation

## ◆ member() [1/2]

void Autolink_Test::member | ( | int |  | ) |

A member function.

Details.

## ◆ member() [2/2]

void Autolink_Test::member | ( | int | ,
|  | int | )

An overloaded member function.

Details

The documentation for this class was generated from the following file:

- autolink.cpp